Update
curl --request PATCH \
--url https://{defaultHost}/v1/public/activations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activation": {
"name": "New Activation Name"
}
}
'import requests
url = "https://{defaultHost}/v1/public/activations/{id}"
payload = { "activation": { "name": "New Activation Name" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({activation: {name: 'New Activation Name'}})
};
fetch('https://{defaultHost}/v1/public/activations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ef8b84f3-a679-48c3-89b1-152444d93bed",
"object": "activation",
"counted": true,
"name": "New Activation Name",
"fingerprint": "example.com",
"license": "b3f25bc4-03de-48eb-a535-26d4c403fa65",
"created_at": 1782485872,
"updated_at": 1782485872
}Activations
Update
Updates a specific activation.
PATCH
/
v1
/
public
/
activations
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The identifier for this activation. For example a URL, a machine fingerprint, etc.
The name of this activation.
Whether or not this activation counts towards the activation limit.
Expandable – The associated license ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I